package com.zhangmeng.admin.manager.service;

import com.zhangmeng.model.base.baseService.BaseService;
import com.zhangmeng.model.entity.User;
import com.zhangmeng.model.vo.Result;

import java.util.Map;

/**
 * @author zhangmeng
 * @version 1.0
 * @date 2021年1月7日22:32:54
 */
public interface UserService extends BaseService<User> {

    User loadUserByUsername(String username);

    Result save_user(Map<String, Object> parms);

    Result reg_save(Map<String, Object> parms);
}
